package cn.com.qmth.print.manage.dto;

import cn.com.qmth.print.manage.utils.excel.ExcelProperty;

import java.io.Serializable;

/**
 * @Description: 云阅卷考生导出对象
 * @Author: CaoZixuan
 * @Date: 2023-10-19
 */
public class ExamStudentExportDTO implements Serializable {

    @ExcelProperty(index = 1, name = "课程代码*", type = 2)
    private String courseCode;

    @ExcelProperty(index = 2, name = "课程名称*", type = 2)
    private String courseName;

    @ExcelProperty(index = 3, name = "准考证号*", type = 2)
    private String examNumber;

    @ExcelProperty(index = 4, name = "学号*", type = 2)
    private String studentCode;

    @ExcelProperty(index = 5, name = "姓名*", type = 2)
    private String studentName;

    @ExcelProperty(index = 6, name = "签到表编号", type = 2)
    private String signCode;

    @ExcelProperty(index = 7, name = "考点信息", type = 2)
    private String examSite;

    @ExcelProperty(index = 8, name = "考场信息", type = 2)
    private String examRoom;

    @ExcelProperty(index = 9, name = "考生备注信息", type = 2)
    private String examStudentRemark;

    @ExcelProperty(index = 10, name = "层次", type = 2)
    private String level;

    @ExcelProperty(index = 11, name = "专业类型", type = 2)
    private String major;

    @ExcelProperty(index = 12, name = "学院*", type = 2)
    private String college;

    @ExcelProperty(index = 13, name = "班级*", type = 2)
    private String clazz;

    @ExcelProperty(index = 14, name = "任课老师*", type = 2)
    private String teacher;

    @ExcelProperty(index = 15, name = "科目备注信息", type = 2)
    private String courseRemark;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getSignCode() {
        return signCode;
    }

    public void setSignCode(String signCode) {
        this.signCode = signCode;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getExamStudentRemark() {
        return examStudentRemark;
    }

    public void setExamStudentRemark(String examStudentRemark) {
        this.examStudentRemark = examStudentRemark;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getClazz() {
        return clazz;
    }

    public void setClazz(String clazz) {
        this.clazz = clazz;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getCourseRemark() {
        return courseRemark;
    }

    public void setCourseRemark(String courseRemark) {
        this.courseRemark = courseRemark;
    }
}
